body {
    font-family: "Montserrat", sans-serif;
    background-color: #EEE;
    background-image: linear-gradient(#eee, #fff);
}

* {
    margin: 0;
}

#topnav {
  text-align: center;
  background-color: #EF5350;
  padding: 5px;
  margin: 0px 0px 5px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#pageTitle, #subTitle {
  color: #fff;
  font-weight: 500;
  font-size: 1.5em;
  cursor: pointer;
  justify-content: space-around;
  width: auto;
}

.statusLbl {
  font-size: 1.4em;
  font-weight: 500;
  margin: 0px 0px 0px 10px
}

#numbersCard label{
  font-weight: 700;
  font-size: 1.4em;
}

.numbersInfoLbl {
  font-weight: 500;
  font-size: 0.9em;
  margin: 0px 10px 10px 10px
}

#healthyColor{
  color: #00B0FF;
}

#infectedColor {
  color: #EF5350;
}

#recoveredColor {
  color: #00BFA5;
}

#deceasedColor{
  color: #37474F;
}

#timeColor {
  color: #FFB74D;
}

.cardTitle {
  text-align: center;
  margin: 5px 0px 10px 0px;
}

#system, #virus {
  background: #EEE;
  padding: 5px;
  font-size: 16px;
  /* line-height: 1; */
  border: 0;
  border-radius: 2px;
  height: 34px;
  /* -webkit-appearance: none; */
  font-weight: bold;
}

#simulationCanvas, #myChart {
    padding: 1px;
    border-radius: 5px;
    align-self: center;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
}

#simulationCanvas:hover, #myChart:hover, .card:hover, #averageCard:hover {
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
}

.mainContent {
    /* padding: 3px; */
    display: flex;
    justify-content: space-around; 
    flex-wrap: wrap;
}
  
.mainContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;    
  order: 1;
  text-align: center;
  min-width: 200px;
  width: 40vw; 
}

.leftContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    order: 0;
    min-width: 100px;
    width: 22vw;
}
.rightContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    order: 2;
    min-width: 60px;
    width: 22vw;
}

#changeSimulationCard{
  order: 1;
}
#numbersCard {
  order: 3;
}
#simbtn {
  order: 2;
}

#chartDiv, #simulationDiv {
  width: 98%;
}

#chartDiv canvas, #simulationDiv canvas {
  background-color: white;
  margin: auto;
}
select {
  min-width: 190px;
}
.labelAndSelect {
  display: flex;
  justify-content: space-between;
}
.labelAndRange {
  margin: 15px 0px;
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.selectLabel {
  font-weight: 500;
  padding-top: 5px;
}

.selectInfoLbl {
  font-weight: 500;
  font-size: 0.9em;
  margin: 6px 0px;
  width: 100%;
}

#changeSimulationCard div h4 {
  text-align: left;
}

#changeSimulationCard label, #changeSimulationCard select {
  width: 40%;
}

#changeSimulationCard select:hover { 
  cursor: pointer;
}
  
.aboutLbl {
  width: 95%;
  margin: auto auto;
  font-weight: 500;
  font-size: 0.9em;
}

.card {
    width: 90%;
    padding: 15px;
    margin: 10px;
    background-color: white;
    border-radius: 5px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
}

h1, h2 {
  display: inline;
}

#simbtn {
  width: 90%;
  padding: 15px;
  border-radius: 5px;
  background-color: transparent;
  border: none;
  display: flex;
  justify-content: space-between;
}

#sliders {
  display: none;
}

#radioBoxxes {
  justify-content: space-around;
  display: flex;
  margin: 20px 0px;
}

.pointer:hover {
  cursor: pointer;
}

#predefinedDiv, #controlDiv {
  width: 50%;
  text-align: center;
} 

#predefinedDiv input, #controlDiv input {
  margin-right: 5px;
}

.nostyle:link, .nostyle:visited {
  text-decoration: inherit;
  color: inherit;
}

input[type='radio']:after {
  width: 15px;
  height: 15px;
  border-radius: 15px;
  top: -2px;
  left: -1px;
  position: relative;
  background-color: #d1d3d1;
  content: '';
  display: inline-block;
  visibility: visible;
  border: 2px solid white;
  cursor: pointer;
}

input[type='radio']:checked:after {
  width: 15px;
  height: 15px;
  border-radius: 15px;
  top: -2px;
  left: -1px;
  position: relative;
  background-color: #EF5350;
  content: '';
  display: inline-block;
  visibility: visible;
  border: 2px solid white;
  cursor: pointer;
}

.button {
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
    border-radius: 8px;
    font-family : inherit;
    font-size: 1.2em;
    font-weight: 700;
    width: 45%;
    min-width: 100px;
    height: 40px;
    background-color: #fff;
    border-width: 0px;
    border-color: transparent;
    color: #EF5350;
}

.button:hover {
  color: #fff;
  border-color: #EF5350;
  background-color: #EF5350;
  cursor: pointer;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
}

.csvAndResultButton {
  width: 90%;
  margin: 5px;
}

.footerLbl {
  color: #fff;
  width: 95%;
  margin: auto auto;
  font-weight: 500;
  font-size: 0.9em;
}

.footerLink {
  color: #ffe082;
  text-decoration: none;
}

 

@media (min-width: 875px) and (max-width: 1300px) {
    .mainContainer {
        width: 60vw;
    }
    .leftContainer {       
        width: 35vw;
    }
    .rightContainer{
        width: 95vw;
    }   
}

@media (max-width: 874px) {
    .mainContainer {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        flex: 1;
        order: 1;
    }
    .leftContainer {
        order: 2;
        min-width: 95vw;
        align-items: center;
    }
    .rightContainer{
        order: 3;
        min-width: 95vw;
    }
    #changeSimulationCard{
      order: 3;
    }
    #numbersCard {
      order: 1;
    }
    #simbtn {
      order: 2;
    }
    #explanation{
      display: flex;
    }
}
@media (min-width: 875px){
  #explanation{
    display: none;
  }  
}
#explanation {
  padding: 3px;
  margin: 0px 5px 5px 5px;
  justify-content: space-around;
  font-size: 12px;
}

.containerFooterOne{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-around;
}

.aboutUs, .contact, .disclaimer {
    min-width: 250px;
    width: 25%;
}

.containerFooterTwo{
    display: flex;
    margin: 10px auto 0px;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
}
#copyright {
    min-width: 330px;
    width: 70%;
    text-align: right;
    font-size: x-small;
}

.site-footer {
    background-color:#424242;
    padding: 10px 0 5px;
    margin-top: 5px;
    font-size:15px;
    line-height:24px;
    color:#737373;
}

.site-footer h6
{
  color:#fff;
  font-size:16px;
  text-transform:uppercase;
  margin-top:5px;
  letter-spacing:2px
}

.site-footer a:hover
{
  color:#3366cc;
  text-decoration:none;
}

.social-icons a
{
  width:40px;
  height:40px;
  line-height:40px;
  margin-left:6px;
  margin-right:0;
  border-radius:100%;
  background-color:#eee
}
.copyright-text
{
  margin: 10px auto;
}
@media (max-width:991px)
{
  .site-footer [class^=col-]
  {
    margin-bottom:30px
  }

}
@media (max-width:767px)
{
  .containerFooterOne{
    flex-direction: column;
    text-align: center;
  }
  .aboutUs, .contact, .disclaimer {
    width: 100%;
  }
  .site-footer
  {
    padding-bottom:0
  }
  .site-footer .copyright-text,.site-footer .social-icons
  {
    text-align:center
  }
  #subTitle {
    font-size: 0.9em;
  }
}

#social{
  text-align: left;
  width: 30%;
  min-width: 130px;
}
.social-icons
{
  padding-left:0;
  list-style:none
}
.social-icons li
{
  display:inline-block;
  margin-bottom: 2px;
}
.social-icons li.title
{
  margin-right:15px;
  text-transform:uppercase;
  color:#96a2b2;
  font-weight:700;
  font-size:13px
}
.social-icons a{
  background-color:#eceeef;
  color:#818a91;
  font-size:16px;
  display:inline-block;
  line-height:44px;
  width:44px;
  height:44px;
  text-align:center;
  margin-right:8px;
  border-radius:100%;
  -webkit-transition:all .2s linear;
  -o-transition:all .2s linear;
  transition:all .2s linear
}
.social-icons a:active,.social-icons a:focus,.social-icons a:hover
{
  color:#fff;
  background-color:#29aafe
}
.social-icons.size-sm a
{
  line-height:34px;
  height:34px;
  width:34px;
  font-size:14px
}
.social-icons a.facebook:hover
{
  background-color:#3b5998
}
.social-icons a.twitter:hover
{
  background-color:#00aced
}
.social-icons a.linkedin:hover
{
  background-color:#007bb6
}
.social-icons a.gmail:hover
{
  background-color:#dd4b39
}
@media (max-width:767px)
{
  .social-icons li.title
  {
    display:block;
    margin-right:0;
    font-weight:600
  }
}
.social-bar {
  background-color: white;
  width: 90%;
  min-width: 242px;
  height: 58px;
}

.facebook-button, .insta-button, .twitter-button, .linkedin-button {
  width:25%;
  float:left;
  text-align:center;	
  }
  
.facebook-button a:link, .facebook-button a:visited, .insta-button a:link, .insta-button a:visited,
.twitter-button a:link, .twitter-button a:visited, .linkedin-button a:link, .linkedin-button a:visited {
  display:block;
  color:#fff;	
  padding:20px 0;
  font-weight:bold;
  text-decoration:none;	
}
  
.facebook-button a {
  background-color:#306199;
}
  
.insta-button a {
  background-color: rgb(180, 58, 170);
}
  
.twitter-button a {
  background-color:#26c4f1;
}
  
.linkedin-button a {
  background-color:#007bb6;
}
  
span.share-text {
  margin:0 5px;
  font-size: 0.8em;
}
  
@media only screen and (max-width: 400px) {
  span.share-text {
  display:none;
  }	
}

.slider {
  -webkit-appearance: none;
  width: 50%;
  height: 7px;
  border-radius: 3px;
  background: #d3d3d3;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}

.slider:hover {
  opacity: 1;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background: #EF5350;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background: #EF5350;
  cursor: pointer;
}

/* results.php  */

#topContent{
  display: flex;
  justify-content: space-around;
}

#containerOne{
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  width: 40%;
}

.customCard {
  width: auto;
}
.customCardTwee {
  width: 100%;
}

#averageContainer {
  background-color: white;
  width: 60%;
  min-width: 460px;
  text-align: center;
}

table, th, td {
  border: 1px solid black;
}
table {
  width: 100%;
}

#bottomContent{
  display: flex;
  justify-content: space-around;
  text-align: center;
}

@media (max-width: 1100px){
  #topContent{
    display: flex;
    flex-direction: column;
  }
  
  #containerOne{
    display: flex;
    flex-direction: column;
    width: 100%;
    order: 2;
  }

  #averageContainer {
    width: auto;
    order: 1;
    min-width: 300px;
  }

  table {
    font-size: xx-small;
  }

  #averageContainer {
    padding: 0px;
  }

  #info {
    padding: 4px;
  }
}